// <header>
/**
 *  Themamap: The Thematic Maps Production Tool
 *
 *  Copyright (c) 2008 Université de Caen Basse-Normandie, Certic
 *  Copyright (c) 2008 Université de Caen Basse-Normandie, GREYC
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  <http://www.gnu.org/licenses/>
 *
 *  See http://themamap.info.unicaen.fr/authors/
 *      for a list of contributors
 */
// </header>

package fr.unicaen.openmap;

import java.applet.Applet;
import java.util.Properties;

/**
 *
 * @author jchauvea
 */
public class Environment extends com.bbn.openmap.Environment{

//    public static transient final String ImageSavePath = OpenMapPrefix+".imageSavePath";
//    public static transient final String PropertiesLoadPath = OpenMapPrefix+".propertiesLoadPath";
//    public static transient final String PropertiesSavePath = OpenMapPrefix+".propertiesSavePath";
//    public static transient final String DataLoadPath = OpenMapPrefix+".dataLoadPath";
//    public static transient final String DataSavePath = OpenMapPrefix+".dataSavePath";


    static boolean jws = false;//java web start mode
    
        /**
     * Creates an Environment based on applet properties.
     * 
     * @param applet an Applet
     */
    protected Environment(Applet applet) {
        super(applet);
    }

    /**
     * Creates an Environment with the specified system properties.
     * 
     * @param sysProps system properties
     */
    protected Environment(Properties sysProps) {
        super(sysProps);
    }

    public static void setJWS(boolean b){
        jws = b;
    }

    public static boolean isJWS(){
        return jws;
    }



}
