// <header>
/**
 *  Themamap: The Thematic Maps Production Tool
 *
 *  Copyright (c) 2008 Université de Caen Basse-Normandie, Certic
 *  Copyright (c) 2008 Université de Caen Basse-Normandie, GREYC
 *                     		
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  <http://www.gnu.org/licenses/>
 *
 *  See http://themamap.info.unicaen.fr/authors/
 *      for a list of contributors 
 */
// </header>
package fr.unicaen.openmap.dataStorage.postgis.db;
public class DBState {
    private int state = 0;
    public DBState () { }
    public DBState (int state) { this.state = state; }
    public int getState() { return state; }
    public final static int CONNECTING = 0x02;
    public final static int CONNECT_OK = 0x04;
    public final static int CONNECT_ERROR = 0x08;
    public final static int QUERYING = 0x10;
    public final static int QUERY_OK = 0x11;
    public final static int QUERY_ERROR = 0x12;
}
