// <header>
/**
 *  Themamap: The Thematic Maps Production Tool
 *
 *  Copyright (c) 2008 Université de Caen Basse-Normandie, Certic
 *  Copyright (c) 2008 Université de Caen Basse-Normandie, GREYC
 *                     		
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  <http://www.gnu.org/licenses/>
 *
 *  See http://themamap.info.unicaen.fr/authors/
 *      for a list of contributors 
 */
// </header>
package fr.unicaen.openmap.gui;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;

import fr.unicaen.openmap.util.Util;

public class ZoomPanel extends com.bbn.openmap.gui.ZoomPanel{
	
	public ZoomPanel(){
		super();
		setOpaque(false);
		zoomInButton.setIcon(Util.loadIcon("zoomInTest.png"));
		zoomInButton.setPreferredSize(new Dimension(12,12));
		zoomOutButton.setIcon(Util.loadIcon("zoomOutTest.png"));
		zoomOutButton.setBackground(Color.WHITE);
		zoomOutButton.setPreferredSize(new Dimension(12,12));
		zoomInButton.setBackground(Color.WHITE);
		setPreferredSize(new Dimension(20,34));
	}
	
	 
	 public void paintComponent(Graphics arg0) {
	        arg0.drawImage(Util.loadIcon("zoom-fond.png").getImage(),0,0,null);
	    }

}
