/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package fr.unicaen.openmap.gui.dnd;

import fr.unicaen.openmap.gui.LayersTree;
import javax.swing.JTree;
import javax.swing.tree.DefaultMutableTreeNode;

/**
 *
 * @author jchauvea
 */
public class LayersTreeTransferHandler extends TreeTransferHandler{

    @Override
    public boolean setModelforDnD(int iStart, int iEnd, JTree tree, DefaultMutableTreeNode node) {
        int diff = iStart - iEnd;
        int absDiff = Math.abs(diff);
        LayersTree ltree = (LayersTree)tree;
        boolean res = true;
        for (int i = 0; i < absDiff; i++) {
            if (diff > 0) {
                if(!ltree.moveGraphics(node.getUserObject(), iStart, -1))
                        res = false;
                iStart--;
            } else {
                if(!ltree.moveGraphics(node.getUserObject(), iStart, 1))
                    res = false;
                iStart++;
            }
        }
        return res;
    }

}
