// <header>
/**
 *  Themamap: The Thematic Maps Production Tool
 *
 *  Copyright (c) 2008 Université de Caen Basse-Normandie, Certic
 *  Copyright (c) 2008 Université de Caen Basse-Normandie, GREYC
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  <http://www.gnu.org/licenses/>
 *
 *  See http://themamap.info.unicaen.fr/authors/
 *      for a list of contributors
 */
// </header>
package fr.unicaen.openmap.tools.drawing;

import com.bbn.openmap.MapBean;
import com.bbn.openmap.omGraphics.EditableOMGraphic;
import com.bbn.openmap.omGraphics.EditableOMGraphicList;
import com.bbn.openmap.omGraphics.OMAction;
import com.bbn.openmap.omGraphics.OMGraphic;
import com.bbn.openmap.omGraphics.OMGraphicList;
import com.bbn.openmap.omGraphics.SinkGraphic;
import com.bbn.openmap.tools.drawing.DrawingToolRequestor;
import com.bbn.openmap.tools.drawing.EditToolLoader;
import com.bbn.openmap.tools.drawing.OMDrawingTool;
import com.bbn.openmap.util.Debug;
import java.awt.event.MouseEvent;
import java.util.Iterator;
import java.util.Set;

/**
 *
 * @author jchauvea
 */
public class TMDrawingTool extends OMDrawingTool {

//
    public TMDrawingTool() {
        super();
        DEBUG = true;
    }

//    public EditableOMGraphic getEditableGraphic(OMGraphic g) {
//
//        // This is what we need to do to handle an OMGraphicList
//        // handled for editing, but we still need to come up with a
//        // way to handle DrawingToolRequestors.
//
//        if (g instanceof OMGraphicList) {
//            EditableOMGraphicList eomgl =
//                    new EditableOMGraphicList((OMGraphicList) g);
//            eomgl.init(this);
//            return eomgl;
//        }
//
//        Set keys = loaders.keySet();
//        Iterator iterator = keys.iterator();
//        while (iterator.hasNext()) {
//            String key = (String) iterator.next();
//            if (DEBUG)
//                Debug.output("OMDrawingTool.getEditableGraphic(" + g.getClass().getName() + "): looking at (" + key + ") loader.");
//
//            try {
//                Class kc = Class.forName(key);
//                Class gc = g.getClass();
//                if (kc == gc || kc.isAssignableFrom(gc)) {
//                    EditToolLoader loader = (EditToolLoader) loaders.get(key);
//
//                    if (loader == null) {
//                        return null;
//                    }
//
//                    // There is a reason why the generation of the
//                    // graphic is done here. I think it has to do
//                    // with something with the creation of the
//                    // EditableOMGraphic and its display with the
//                    // GrabPoints.
//                    generateOMGraphic(g);
//
//                    EditableOMGraphic eomg = loader.getEditableGraphic(g);
//
//                    if (DEBUG)
//                        Debug.output("OMDrawingTool.getEditableGraphic(" + g.getClass().getName() + "): found one.");
//
//                    return eomg;
//                }
//            } catch (ClassNotFoundException cnfe) {
//                if (DEBUG) {
//                    Debug.output("OMDrawingTool.getEditableGraphic(" + g.getClass().getName() + ") comparision couldn't find class for " + key);
//                }
//            }
//        }
//        return null;
//    }
}
