// $ANTLR 3.2 Sep 23, 2009 12:02:23 ExprGrammar.g 2010-08-02 18:41:00

    package  fr.unicaen.openmap.dataStorage.expr;
    import fr.unicaen.openmap.dataStorage.gui.DataTableModel;


import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;

public class ExprGrammarLexer extends Lexer {
    public static final int LOR=52;
    public static final int EXPONENT=55;
    public static final int LT=11;
    public static final int MOD=21;
    public static final int FUNCTION_S_N1OR2_TO_S=47;
    public static final int LBRACE=4;
    public static final int GTE=14;
    public static final int FUNCTION_G_G_TO_N=41;
    public static final int OCTAL_ESC=61;
    public static final int SUB=19;
    public static final int FLOAT=38;
    public static final int NOT=50;
    public static final int AND=22;
    public static final int ID=54;
    public static final int EOF=-1;
    public static final int LTE=13;
    public static final int LPAREN=6;
    public static final int IF=53;
    public static final int RPAREN=7;
    public static final int ESC_SEQ=58;
    public static final int COMMA=10;
    public static final int POS=32;
    public static final int FUNCTION_S_TO_N=48;
    public static final int DATACOLUMNNAME=33;
    public static final int REGEXP=28;
    public static final int ARGS=29;
    public static final int EQ=15;
    public static final int COMMENT=56;
    public static final int DOT=8;
    public static final int OMCOLUMNNAME=34;
    public static final int LIKE=27;
    public static final int ADD=18;
    public static final int XOR=24;
    public static final int RBRACE=5;
    public static final int INV=25;
    public static final int UNICODE_ESC=60;
    public static final int FUNCTION_G_N_TO_G=43;
    public static final int FUNCTION_G_TO_N=40;
    public static final int HEX_DIGIT=59;
    public static final int FUNCTION_S_TO_S=49;
    public static final int INT=37;
    public static final int LIST=30;
    public static final int TRUE=35;
    public static final int MUL=20;
    public static final int NOTEQ=17;
    public static final int NEQ=16;
    public static final int WS=57;
    public static final int NEG=31;
    public static final int OR=23;
    public static final int FUNCTION_N_N_TO_G=42;
    public static final int GT=12;
    public static final int FUNCTION_G_G_TO_G=44;
    public static final int FUNCTION_S_SPLUS_TO_S=46;
    public static final int DIV=26;
    public static final int FUNCTION_N_TO_N=39;
    public static final int SEMIC=9;
    public static final int FALSE=36;
    public static final int LAND=51;
    public static final int STRING=45;

        protected DataTableModel dtm;
        public ExprGrammarLexer(CharStream input, DataTableModel dtm) {
                this(input);
                this.dtm = dtm;
        }
        public boolean isDataColumName(String s) {
            if (dtm == null)
                return false;
            for(String name : dtm.getDataColumnNames())
                if (name.equals(s)) 
                    return true;
            return false;
        }  
        public boolean isOMColumName(String s) {
            if (dtm == null)
                return false;
            for(String name : dtm.getOMColumnNames())
                if (name.equals(s)) 
                    return true;
            return false;
        }


    // delegates
    // delegators

    public ExprGrammarLexer() {;} 
    public ExprGrammarLexer(CharStream input) {
        this(input, new RecognizerSharedState());
    }
    public ExprGrammarLexer(CharStream input, RecognizerSharedState state) {
        super(input,state);

    }
    public String getGrammarFileName() { return "ExprGrammar.g"; }

    // $ANTLR start "LBRACE"
    public final void mLBRACE() throws RecognitionException {
        try {
            int _type = LBRACE;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:35:8: ( '{' )
            // ExprGrammar.g:35:10: '{'
            {
            match('{'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "LBRACE"

    // $ANTLR start "RBRACE"
    public final void mRBRACE() throws RecognitionException {
        try {
            int _type = RBRACE;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:36:8: ( '}' )
            // ExprGrammar.g:36:10: '}'
            {
            match('}'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "RBRACE"

    // $ANTLR start "LPAREN"
    public final void mLPAREN() throws RecognitionException {
        try {
            int _type = LPAREN;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:37:8: ( '(' )
            // ExprGrammar.g:37:10: '('
            {
            match('('); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "LPAREN"

    // $ANTLR start "RPAREN"
    public final void mRPAREN() throws RecognitionException {
        try {
            int _type = RPAREN;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:38:8: ( ')' )
            // ExprGrammar.g:38:10: ')'
            {
            match(')'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "RPAREN"

    // $ANTLR start "DOT"
    public final void mDOT() throws RecognitionException {
        try {
            int _type = DOT;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:39:5: ( '.' )
            // ExprGrammar.g:39:7: '.'
            {
            match('.'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "DOT"

    // $ANTLR start "SEMIC"
    public final void mSEMIC() throws RecognitionException {
        try {
            int _type = SEMIC;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:40:7: ( ';' )
            // ExprGrammar.g:40:9: ';'
            {
            match(';'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "SEMIC"

    // $ANTLR start "COMMA"
    public final void mCOMMA() throws RecognitionException {
        try {
            int _type = COMMA;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:41:7: ( ',' )
            // ExprGrammar.g:41:9: ','
            {
            match(','); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "COMMA"

    // $ANTLR start "LT"
    public final void mLT() throws RecognitionException {
        try {
            int _type = LT;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:42:4: ( '<' )
            // ExprGrammar.g:42:6: '<'
            {
            match('<'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "LT"

    // $ANTLR start "GT"
    public final void mGT() throws RecognitionException {
        try {
            int _type = GT;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:43:4: ( '>' )
            // ExprGrammar.g:43:6: '>'
            {
            match('>'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "GT"

    // $ANTLR start "LTE"
    public final void mLTE() throws RecognitionException {
        try {
            int _type = LTE;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:44:5: ( '<=' )
            // ExprGrammar.g:44:7: '<='
            {
            match("<="); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "LTE"

    // $ANTLR start "GTE"
    public final void mGTE() throws RecognitionException {
        try {
            int _type = GTE;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:45:5: ( '>=' )
            // ExprGrammar.g:45:7: '>='
            {
            match(">="); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "GTE"

    // $ANTLR start "EQ"
    public final void mEQ() throws RecognitionException {
        try {
            int _type = EQ;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:46:4: ( '=' )
            // ExprGrammar.g:46:6: '='
            {
            match('='); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "EQ"

    // $ANTLR start "NEQ"
    public final void mNEQ() throws RecognitionException {
        try {
            int _type = NEQ;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:47:5: ( '<>' )
            // ExprGrammar.g:47:7: '<>'
            {
            match("<>"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "NEQ"

    // $ANTLR start "NOTEQ"
    public final void mNOTEQ() throws RecognitionException {
        try {
            int _type = NOTEQ;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:48:7: ( '!=' )
            // ExprGrammar.g:48:9: '!='
            {
            match("!="); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "NOTEQ"

    // $ANTLR start "ADD"
    public final void mADD() throws RecognitionException {
        try {
            int _type = ADD;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:49:5: ( '+' )
            // ExprGrammar.g:49:7: '+'
            {
            match('+'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "ADD"

    // $ANTLR start "SUB"
    public final void mSUB() throws RecognitionException {
        try {
            int _type = SUB;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:50:5: ( '-' )
            // ExprGrammar.g:50:7: '-'
            {
            match('-'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "SUB"

    // $ANTLR start "MUL"
    public final void mMUL() throws RecognitionException {
        try {
            int _type = MUL;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:51:5: ( '*' )
            // ExprGrammar.g:51:7: '*'
            {
            match('*'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "MUL"

    // $ANTLR start "MOD"
    public final void mMOD() throws RecognitionException {
        try {
            int _type = MOD;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:52:5: ( '%' )
            // ExprGrammar.g:52:7: '%'
            {
            match('%'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "MOD"

    // $ANTLR start "AND"
    public final void mAND() throws RecognitionException {
        try {
            int _type = AND;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:53:5: ( '&' )
            // ExprGrammar.g:53:7: '&'
            {
            match('&'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "AND"

    // $ANTLR start "OR"
    public final void mOR() throws RecognitionException {
        try {
            int _type = OR;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:54:4: ( '|' )
            // ExprGrammar.g:54:6: '|'
            {
            match('|'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "OR"

    // $ANTLR start "XOR"
    public final void mXOR() throws RecognitionException {
        try {
            int _type = XOR;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:55:5: ( '^' )
            // ExprGrammar.g:55:7: '^'
            {
            match('^'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "XOR"

    // $ANTLR start "INV"
    public final void mINV() throws RecognitionException {
        try {
            int _type = INV;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:56:5: ( '~' )
            // ExprGrammar.g:56:7: '~'
            {
            match('~'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "INV"

    // $ANTLR start "DIV"
    public final void mDIV() throws RecognitionException {
        try {
            int _type = DIV;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:57:5: ( '/' )
            // ExprGrammar.g:57:7: '/'
            {
            match('/'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "DIV"

    // $ANTLR start "LIKE"
    public final void mLIKE() throws RecognitionException {
        try {
            int _type = LIKE;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:58:6: ( 'like' )
            // ExprGrammar.g:58:8: 'like'
            {
            match("like"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "LIKE"

    // $ANTLR start "REGEXP"
    public final void mREGEXP() throws RecognitionException {
        try {
            int _type = REGEXP;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:59:8: ( 'regexp' )
            // ExprGrammar.g:59:10: 'regexp'
            {
            match("regexp"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "REGEXP"

    // $ANTLR start "TRUE"
    public final void mTRUE() throws RecognitionException {
        try {
            int _type = TRUE;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:210:6: ( 'TRUE' | 'true' )
            int alt1=2;
            int LA1_0 = input.LA(1);

            if ( (LA1_0=='T') ) {
                alt1=1;
            }
            else if ( (LA1_0=='t') ) {
                alt1=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("", 1, 0, input);

                throw nvae;
            }
            switch (alt1) {
                case 1 :
                    // ExprGrammar.g:210:8: 'TRUE'
                    {
                    match("TRUE"); 


                    }
                    break;
                case 2 :
                    // ExprGrammar.g:210:17: 'true'
                    {
                    match("true"); 


                    }
                    break;

            }
            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "TRUE"

    // $ANTLR start "FALSE"
    public final void mFALSE() throws RecognitionException {
        try {
            int _type = FALSE;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:212:7: ( 'FALSE' | 'false' )
            int alt2=2;
            int LA2_0 = input.LA(1);

            if ( (LA2_0=='F') ) {
                alt2=1;
            }
            else if ( (LA2_0=='f') ) {
                alt2=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("", 2, 0, input);

                throw nvae;
            }
            switch (alt2) {
                case 1 :
                    // ExprGrammar.g:212:9: 'FALSE'
                    {
                    match("FALSE"); 


                    }
                    break;
                case 2 :
                    // ExprGrammar.g:212:19: 'false'
                    {
                    match("false"); 


                    }
                    break;

            }
            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "FALSE"

    // $ANTLR start "FUNCTION_N_TO_N"
    public final void mFUNCTION_N_TO_N() throws RecognitionException {
        try {
            int _type = FUNCTION_N_TO_N;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:215:17: ( 'COS' )
            // ExprGrammar.g:215:19: 'COS'
            {
            match("COS"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "FUNCTION_N_TO_N"

    // $ANTLR start "FUNCTION_G_TO_N"
    public final void mFUNCTION_G_TO_N() throws RecognitionException {
        try {
            int _type = FUNCTION_G_TO_N;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:216:17: ( 'ST_AREA' )
            // ExprGrammar.g:216:19: 'ST_AREA'
            {
            match("ST_AREA"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "FUNCTION_G_TO_N"

    // $ANTLR start "FUNCTION_G_G_TO_N"
    public final void mFUNCTION_G_G_TO_N() throws RecognitionException {
        try {
            int _type = FUNCTION_G_G_TO_N;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:217:19: ( 'CENTROIDDISTANCE' )
            // ExprGrammar.g:217:21: 'CENTROIDDISTANCE'
            {
            match("CENTROIDDISTANCE"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "FUNCTION_G_G_TO_N"

    // $ANTLR start "FUNCTION_N_N_TO_G"
    public final void mFUNCTION_N_N_TO_G() throws RecognitionException {
        try {
            int _type = FUNCTION_N_N_TO_G;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:218:19: ( 'MAKEPOINT' )
            // ExprGrammar.g:218:21: 'MAKEPOINT'
            {
            match("MAKEPOINT"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "FUNCTION_N_N_TO_G"

    // $ANTLR start "FUNCTION_G_N_TO_G"
    public final void mFUNCTION_G_N_TO_G() throws RecognitionException {
        try {
            int _type = FUNCTION_G_N_TO_G;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:219:19: ( 'MAKEDISC' )
            // ExprGrammar.g:219:21: 'MAKEDISC'
            {
            match("MAKEDISC"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "FUNCTION_G_N_TO_G"

    // $ANTLR start "FUNCTION_G_G_TO_G"
    public final void mFUNCTION_G_G_TO_G() throws RecognitionException {
        try {
            int _type = FUNCTION_G_G_TO_G;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:220:19: ( 'ST_UNION' )
            // ExprGrammar.g:220:21: 'ST_UNION'
            {
            match("ST_UNION"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "FUNCTION_G_G_TO_G"

    // $ANTLR start "FUNCTION_S_TO_N"
    public final void mFUNCTION_S_TO_N() throws RecognitionException {
        try {
            int _type = FUNCTION_S_TO_N;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:221:17: ( 'LENGTH' )
            // ExprGrammar.g:221:19: 'LENGTH'
            {
            match("LENGTH"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "FUNCTION_S_TO_N"

    // $ANTLR start "FUNCTION_S_TO_S"
    public final void mFUNCTION_S_TO_S() throws RecognitionException {
        try {
            int _type = FUNCTION_S_TO_S;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:222:17: ( 'TRIM' )
            // ExprGrammar.g:222:19: 'TRIM'
            {
            match("TRIM"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "FUNCTION_S_TO_S"

    // $ANTLR start "FUNCTION_S_SPLUS_TO_S"
    public final void mFUNCTION_S_SPLUS_TO_S() throws RecognitionException {
        try {
            int _type = FUNCTION_S_SPLUS_TO_S;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:223:23: ( 'CONCAT' )
            // ExprGrammar.g:223:25: 'CONCAT'
            {
            match("CONCAT"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "FUNCTION_S_SPLUS_TO_S"

    // $ANTLR start "FUNCTION_S_N1OR2_TO_S"
    public final void mFUNCTION_S_N1OR2_TO_S() throws RecognitionException {
        try {
            int _type = FUNCTION_S_N1OR2_TO_S;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:224:23: ( 'SUBSTRING' )
            // ExprGrammar.g:224:25: 'SUBSTRING'
            {
            match("SUBSTRING"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "FUNCTION_S_N1OR2_TO_S"

    // $ANTLR start "OMCOLUMNNAME"
    public final void mOMCOLUMNNAME() throws RecognitionException {
        try {
            int _type = OMCOLUMNNAME;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:225:14: ( 'SHAPE' )
            // ExprGrammar.g:225:16: 'SHAPE'
            {
            match("SHAPE"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "OMCOLUMNNAME"

    // $ANTLR start "DATACOLUMNNAME"
    public final void mDATACOLUMNNAME() throws RecognitionException {
        try {
            int _type = DATACOLUMNNAME;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:226:16: ( 'DATA' )
            // ExprGrammar.g:226:18: 'DATA'
            {
            match("DATA"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "DATACOLUMNNAME"

    // $ANTLR start "IF"
    public final void mIF() throws RecognitionException {
        try {
            int _type = IF;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:227:4: ( ( 'if' | 'IF' ) )
            // ExprGrammar.g:227:6: ( 'if' | 'IF' )
            {
            // ExprGrammar.g:227:6: ( 'if' | 'IF' )
            int alt3=2;
            int LA3_0 = input.LA(1);

            if ( (LA3_0=='i') ) {
                alt3=1;
            }
            else if ( (LA3_0=='I') ) {
                alt3=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("", 3, 0, input);

                throw nvae;
            }
            switch (alt3) {
                case 1 :
                    // ExprGrammar.g:227:7: 'if'
                    {
                    match("if"); 


                    }
                    break;
                case 2 :
                    // ExprGrammar.g:227:12: 'IF'
                    {
                    match("IF"); 


                    }
                    break;

            }


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "IF"

    // $ANTLR start "NOT"
    public final void mNOT() throws RecognitionException {
        try {
            int _type = NOT;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:228:5: ( ( '!' | 'not' | 'NOT' ) )
            // ExprGrammar.g:228:7: ( '!' | 'not' | 'NOT' )
            {
            // ExprGrammar.g:228:7: ( '!' | 'not' | 'NOT' )
            int alt4=3;
            switch ( input.LA(1) ) {
            case '!':
                {
                alt4=1;
                }
                break;
            case 'n':
                {
                alt4=2;
                }
                break;
            case 'N':
                {
                alt4=3;
                }
                break;
            default:
                NoViableAltException nvae =
                    new NoViableAltException("", 4, 0, input);

                throw nvae;
            }

            switch (alt4) {
                case 1 :
                    // ExprGrammar.g:228:8: '!'
                    {
                    match('!'); 

                    }
                    break;
                case 2 :
                    // ExprGrammar.g:228:12: 'not'
                    {
                    match("not"); 


                    }
                    break;
                case 3 :
                    // ExprGrammar.g:228:18: 'NOT'
                    {
                    match("NOT"); 


                    }
                    break;

            }


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "NOT"

    // $ANTLR start "LAND"
    public final void mLAND() throws RecognitionException {
        try {
            int _type = LAND;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:229:6: ( ( '&&' | 'and' | 'AND' ) )
            // ExprGrammar.g:229:8: ( '&&' | 'and' | 'AND' )
            {
            // ExprGrammar.g:229:8: ( '&&' | 'and' | 'AND' )
            int alt5=3;
            switch ( input.LA(1) ) {
            case '&':
                {
                alt5=1;
                }
                break;
            case 'a':
                {
                alt5=2;
                }
                break;
            case 'A':
                {
                alt5=3;
                }
                break;
            default:
                NoViableAltException nvae =
                    new NoViableAltException("", 5, 0, input);

                throw nvae;
            }

            switch (alt5) {
                case 1 :
                    // ExprGrammar.g:229:9: '&&'
                    {
                    match("&&"); 


                    }
                    break;
                case 2 :
                    // ExprGrammar.g:229:14: 'and'
                    {
                    match("and"); 


                    }
                    break;
                case 3 :
                    // ExprGrammar.g:229:20: 'AND'
                    {
                    match("AND"); 


                    }
                    break;

            }


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "LAND"

    // $ANTLR start "LOR"
    public final void mLOR() throws RecognitionException {
        try {
            int _type = LOR;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:230:5: ( ( '||' | 'or' | 'OR' ) )
            // ExprGrammar.g:230:7: ( '||' | 'or' | 'OR' )
            {
            // ExprGrammar.g:230:7: ( '||' | 'or' | 'OR' )
            int alt6=3;
            switch ( input.LA(1) ) {
            case '|':
                {
                alt6=1;
                }
                break;
            case 'o':
                {
                alt6=2;
                }
                break;
            case 'O':
                {
                alt6=3;
                }
                break;
            default:
                NoViableAltException nvae =
                    new NoViableAltException("", 6, 0, input);

                throw nvae;
            }

            switch (alt6) {
                case 1 :
                    // ExprGrammar.g:230:8: '||'
                    {
                    match("||"); 


                    }
                    break;
                case 2 :
                    // ExprGrammar.g:230:13: 'or'
                    {
                    match("or"); 


                    }
                    break;
                case 3 :
                    // ExprGrammar.g:230:18: 'OR'
                    {
                    match("OR"); 


                    }
                    break;

            }


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "LOR"

    // $ANTLR start "ID"
    public final void mID() throws RecognitionException {
        try {
            int _type = ID;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:232:5: ( ( 'a' .. 'z' | 'A' .. 'Z' | '_' ) ( 'a' .. 'z' | 'A' .. 'Z' | '0' .. '9' | '_' | '/' )* )
            // ExprGrammar.g:232:7: ( 'a' .. 'z' | 'A' .. 'Z' | '_' ) ( 'a' .. 'z' | 'A' .. 'Z' | '0' .. '9' | '_' | '/' )*
            {
            if ( (input.LA(1)>='A' && input.LA(1)<='Z')||input.LA(1)=='_'||(input.LA(1)>='a' && input.LA(1)<='z') ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            // ExprGrammar.g:232:31: ( 'a' .. 'z' | 'A' .. 'Z' | '0' .. '9' | '_' | '/' )*
            loop7:
            do {
                int alt7=2;
                int LA7_0 = input.LA(1);

                if ( ((LA7_0>='/' && LA7_0<='9')||(LA7_0>='A' && LA7_0<='Z')||LA7_0=='_'||(LA7_0>='a' && LA7_0<='z')) ) {
                    alt7=1;
                }


                switch (alt7) {
            	case 1 :
            	    // ExprGrammar.g:
            	    {
            	    if ( (input.LA(1)>='/' && input.LA(1)<='9')||(input.LA(1)>='A' && input.LA(1)<='Z')||input.LA(1)=='_'||(input.LA(1)>='a' && input.LA(1)<='z') ) {
            	        input.consume();

            	    }
            	    else {
            	        MismatchedSetException mse = new MismatchedSetException(null,input);
            	        recover(mse);
            	        throw mse;}


            	    }
            	    break;

            	default :
            	    break loop7;
                }
            } while (true);

             
                        /* change _type from ID to the type of the list the token belongs to */
                        if (isDataColumName(getText())) _type = DATACOLUMNNAME;
                        else if (isOMColumName(getText())) _type = OMCOLUMNNAME;
                        else if (Function.isFunction_n_to_n(getText())) _type = FUNCTION_N_TO_N; 
                        else if (Function.isFunction_g_to_n(getText())) _type = FUNCTION_G_TO_N; 
                        else if (Function.isFunction_g_g_to_n(getText())) _type = FUNCTION_G_G_TO_N; 
                        else if (Function.isFunction_n_n_to_g(getText())) _type = FUNCTION_N_N_TO_G; 
                        else if (Function.isFunction_g_n_to_g(getText())) _type = FUNCTION_G_N_TO_G; 
                        else if (Function.isFunction_g_g_to_g(getText())) _type = FUNCTION_G_G_TO_G; 
                        else if (Function.isFunction_s_to_n(getText())) _type = FUNCTION_S_TO_N; 
                        else if (Function.isFunction_s_to_s(getText())) _type = FUNCTION_S_TO_S; 
                        else if (Function.isFunction_s_splus_to_s(getText())) _type = FUNCTION_S_SPLUS_TO_S; 
                        else if (Function.isFunction_s_n1or2_to_s(getText())) _type = FUNCTION_S_N1OR2_TO_S; 
                    

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "ID"

    // $ANTLR start "INT"
    public final void mINT() throws RecognitionException {
        try {
            int _type = INT;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:250:5: ( ( '0' .. '9' )+ )
            // ExprGrammar.g:250:7: ( '0' .. '9' )+
            {
            // ExprGrammar.g:250:7: ( '0' .. '9' )+
            int cnt8=0;
            loop8:
            do {
                int alt8=2;
                int LA8_0 = input.LA(1);

                if ( ((LA8_0>='0' && LA8_0<='9')) ) {
                    alt8=1;
                }


                switch (alt8) {
            	case 1 :
            	    // ExprGrammar.g:250:7: '0' .. '9'
            	    {
            	    matchRange('0','9'); 

            	    }
            	    break;

            	default :
            	    if ( cnt8 >= 1 ) break loop8;
                        EarlyExitException eee =
                            new EarlyExitException(8, input);
                        throw eee;
                }
                cnt8++;
            } while (true);


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "INT"

    // $ANTLR start "FLOAT"
    public final void mFLOAT() throws RecognitionException {
        try {
            int _type = FLOAT;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:254:5: ( ( '0' .. '9' )+ '.' ( '0' .. '9' )* ( EXPONENT )? | '.' ( '0' .. '9' )+ ( EXPONENT )? | ( '0' .. '9' )+ EXPONENT )
            int alt15=3;
            alt15 = dfa15.predict(input);
            switch (alt15) {
                case 1 :
                    // ExprGrammar.g:254:9: ( '0' .. '9' )+ '.' ( '0' .. '9' )* ( EXPONENT )?
                    {
                    // ExprGrammar.g:254:9: ( '0' .. '9' )+
                    int cnt9=0;
                    loop9:
                    do {
                        int alt9=2;
                        int LA9_0 = input.LA(1);

                        if ( ((LA9_0>='0' && LA9_0<='9')) ) {
                            alt9=1;
                        }


                        switch (alt9) {
                    	case 1 :
                    	    // ExprGrammar.g:254:10: '0' .. '9'
                    	    {
                    	    matchRange('0','9'); 

                    	    }
                    	    break;

                    	default :
                    	    if ( cnt9 >= 1 ) break loop9;
                                EarlyExitException eee =
                                    new EarlyExitException(9, input);
                                throw eee;
                        }
                        cnt9++;
                    } while (true);

                    match('.'); 
                    // ExprGrammar.g:254:25: ( '0' .. '9' )*
                    loop10:
                    do {
                        int alt10=2;
                        int LA10_0 = input.LA(1);

                        if ( ((LA10_0>='0' && LA10_0<='9')) ) {
                            alt10=1;
                        }


                        switch (alt10) {
                    	case 1 :
                    	    // ExprGrammar.g:254:26: '0' .. '9'
                    	    {
                    	    matchRange('0','9'); 

                    	    }
                    	    break;

                    	default :
                    	    break loop10;
                        }
                    } while (true);

                    // ExprGrammar.g:254:37: ( EXPONENT )?
                    int alt11=2;
                    int LA11_0 = input.LA(1);

                    if ( (LA11_0=='E'||LA11_0=='e') ) {
                        alt11=1;
                    }
                    switch (alt11) {
                        case 1 :
                            // ExprGrammar.g:254:37: EXPONENT
                            {
                            mEXPONENT(); 

                            }
                            break;

                    }


                    }
                    break;
                case 2 :
                    // ExprGrammar.g:255:9: '.' ( '0' .. '9' )+ ( EXPONENT )?
                    {
                    match('.'); 
                    // ExprGrammar.g:255:13: ( '0' .. '9' )+
                    int cnt12=0;
                    loop12:
                    do {
                        int alt12=2;
                        int LA12_0 = input.LA(1);

                        if ( ((LA12_0>='0' && LA12_0<='9')) ) {
                            alt12=1;
                        }


                        switch (alt12) {
                    	case 1 :
                    	    // ExprGrammar.g:255:14: '0' .. '9'
                    	    {
                    	    matchRange('0','9'); 

                    	    }
                    	    break;

                    	default :
                    	    if ( cnt12 >= 1 ) break loop12;
                                EarlyExitException eee =
                                    new EarlyExitException(12, input);
                                throw eee;
                        }
                        cnt12++;
                    } while (true);

                    // ExprGrammar.g:255:25: ( EXPONENT )?
                    int alt13=2;
                    int LA13_0 = input.LA(1);

                    if ( (LA13_0=='E'||LA13_0=='e') ) {
                        alt13=1;
                    }
                    switch (alt13) {
                        case 1 :
                            // ExprGrammar.g:255:25: EXPONENT
                            {
                            mEXPONENT(); 

                            }
                            break;

                    }


                    }
                    break;
                case 3 :
                    // ExprGrammar.g:256:9: ( '0' .. '9' )+ EXPONENT
                    {
                    // ExprGrammar.g:256:9: ( '0' .. '9' )+
                    int cnt14=0;
                    loop14:
                    do {
                        int alt14=2;
                        int LA14_0 = input.LA(1);

                        if ( ((LA14_0>='0' && LA14_0<='9')) ) {
                            alt14=1;
                        }


                        switch (alt14) {
                    	case 1 :
                    	    // ExprGrammar.g:256:10: '0' .. '9'
                    	    {
                    	    matchRange('0','9'); 

                    	    }
                    	    break;

                    	default :
                    	    if ( cnt14 >= 1 ) break loop14;
                                EarlyExitException eee =
                                    new EarlyExitException(14, input);
                                throw eee;
                        }
                        cnt14++;
                    } while (true);

                    mEXPONENT(); 

                    }
                    break;

            }
            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "FLOAT"

    // $ANTLR start "COMMENT"
    public final void mCOMMENT() throws RecognitionException {
        try {
            int _type = COMMENT;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:260:5: ( '/*' ( options {greedy=false; } : . )* '*/' )
            // ExprGrammar.g:260:9: '/*' ( options {greedy=false; } : . )* '*/'
            {
            match("/*"); 

            // ExprGrammar.g:260:14: ( options {greedy=false; } : . )*
            loop16:
            do {
                int alt16=2;
                int LA16_0 = input.LA(1);

                if ( (LA16_0=='*') ) {
                    int LA16_1 = input.LA(2);

                    if ( (LA16_1=='/') ) {
                        alt16=2;
                    }
                    else if ( ((LA16_1>='\u0000' && LA16_1<='.')||(LA16_1>='0' && LA16_1<='\uFFFF')) ) {
                        alt16=1;
                    }


                }
                else if ( ((LA16_0>='\u0000' && LA16_0<=')')||(LA16_0>='+' && LA16_0<='\uFFFF')) ) {
                    alt16=1;
                }


                switch (alt16) {
            	case 1 :
            	    // ExprGrammar.g:260:42: .
            	    {
            	    matchAny(); 

            	    }
            	    break;

            	default :
            	    break loop16;
                }
            } while (true);

            match("*/"); 

            _channel=HIDDEN;

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "COMMENT"

    // $ANTLR start "WS"
    public final void mWS() throws RecognitionException {
        try {
            int _type = WS;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:263:5: ( ( ' ' | '\\t' | '\\r' | '\\n' ) )
            // ExprGrammar.g:263:9: ( ' ' | '\\t' | '\\r' | '\\n' )
            {
            if ( (input.LA(1)>='\t' && input.LA(1)<='\n')||input.LA(1)=='\r'||input.LA(1)==' ' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            _channel=HIDDEN;

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "WS"

    // $ANTLR start "STRING"
    public final void mSTRING() throws RecognitionException {
        try {
            int _type = STRING;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // ExprGrammar.g:271:5: ( '\"' ( ESC_SEQ | ~ ( '\\\\' | '\"' ) )* '\"' )
            // ExprGrammar.g:271:8: '\"' ( ESC_SEQ | ~ ( '\\\\' | '\"' ) )* '\"'
            {
            match('\"'); 
            // ExprGrammar.g:271:12: ( ESC_SEQ | ~ ( '\\\\' | '\"' ) )*
            loop17:
            do {
                int alt17=3;
                int LA17_0 = input.LA(1);

                if ( (LA17_0=='\\') ) {
                    alt17=1;
                }
                else if ( ((LA17_0>='\u0000' && LA17_0<='!')||(LA17_0>='#' && LA17_0<='[')||(LA17_0>=']' && LA17_0<='\uFFFF')) ) {
                    alt17=2;
                }


                switch (alt17) {
            	case 1 :
            	    // ExprGrammar.g:271:14: ESC_SEQ
            	    {
            	    mESC_SEQ(); 

            	    }
            	    break;
            	case 2 :
            	    // ExprGrammar.g:271:24: ~ ( '\\\\' | '\"' )
            	    {
            	    if ( (input.LA(1)>='\u0000' && input.LA(1)<='!')||(input.LA(1)>='#' && input.LA(1)<='[')||(input.LA(1)>=']' && input.LA(1)<='\uFFFF') ) {
            	        input.consume();

            	    }
            	    else {
            	        MismatchedSetException mse = new MismatchedSetException(null,input);
            	        recover(mse);
            	        throw mse;}


            	    }
            	    break;

            	default :
            	    break loop17;
                }
            } while (true);

            match('\"'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "STRING"

    // $ANTLR start "EXPONENT"
    public final void mEXPONENT() throws RecognitionException {
        try {
            // ExprGrammar.g:275:10: ( ( 'e' | 'E' ) ( '+' | '-' )? ( '0' .. '9' )+ )
            // ExprGrammar.g:275:12: ( 'e' | 'E' ) ( '+' | '-' )? ( '0' .. '9' )+
            {
            if ( input.LA(1)=='E'||input.LA(1)=='e' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            // ExprGrammar.g:275:22: ( '+' | '-' )?
            int alt18=2;
            int LA18_0 = input.LA(1);

            if ( (LA18_0=='+'||LA18_0=='-') ) {
                alt18=1;
            }
            switch (alt18) {
                case 1 :
                    // ExprGrammar.g:
                    {
                    if ( input.LA(1)=='+'||input.LA(1)=='-' ) {
                        input.consume();

                    }
                    else {
                        MismatchedSetException mse = new MismatchedSetException(null,input);
                        recover(mse);
                        throw mse;}


                    }
                    break;

            }

            // ExprGrammar.g:275:33: ( '0' .. '9' )+
            int cnt19=0;
            loop19:
            do {
                int alt19=2;
                int LA19_0 = input.LA(1);

                if ( ((LA19_0>='0' && LA19_0<='9')) ) {
                    alt19=1;
                }


                switch (alt19) {
            	case 1 :
            	    // ExprGrammar.g:275:34: '0' .. '9'
            	    {
            	    matchRange('0','9'); 

            	    }
            	    break;

            	default :
            	    if ( cnt19 >= 1 ) break loop19;
                        EarlyExitException eee =
                            new EarlyExitException(19, input);
                        throw eee;
                }
                cnt19++;
            } while (true);


            }

        }
        finally {
        }
    }
    // $ANTLR end "EXPONENT"

    // $ANTLR start "HEX_DIGIT"
    public final void mHEX_DIGIT() throws RecognitionException {
        try {
            // ExprGrammar.g:278:11: ( ( '0' .. '9' | 'a' .. 'f' | 'A' .. 'F' ) )
            // ExprGrammar.g:278:13: ( '0' .. '9' | 'a' .. 'f' | 'A' .. 'F' )
            {
            if ( (input.LA(1)>='0' && input.LA(1)<='9')||(input.LA(1)>='A' && input.LA(1)<='F')||(input.LA(1)>='a' && input.LA(1)<='f') ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}


            }

        }
        finally {
        }
    }
    // $ANTLR end "HEX_DIGIT"

    // $ANTLR start "ESC_SEQ"
    public final void mESC_SEQ() throws RecognitionException {
        try {
            // ExprGrammar.g:282:5: ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\\\"' | '\\'' | '\\\\' ) | UNICODE_ESC | OCTAL_ESC )
            int alt20=3;
            int LA20_0 = input.LA(1);

            if ( (LA20_0=='\\') ) {
                switch ( input.LA(2) ) {
                case '\"':
                case '\'':
                case '\\':
                case 'b':
                case 'f':
                case 'n':
                case 'r':
                case 't':
                    {
                    alt20=1;
                    }
                    break;
                case 'u':
                    {
                    alt20=2;
                    }
                    break;
                case '0':
                case '1':
                case '2':
                case '3':
                case '4':
                case '5':
                case '6':
                case '7':
                    {
                    alt20=3;
                    }
                    break;
                default:
                    NoViableAltException nvae =
                        new NoViableAltException("", 20, 1, input);

                    throw nvae;
                }

            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("", 20, 0, input);

                throw nvae;
            }
            switch (alt20) {
                case 1 :
                    // ExprGrammar.g:282:9: '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\\\"' | '\\'' | '\\\\' )
                    {
                    match('\\'); 
                    if ( input.LA(1)=='\"'||input.LA(1)=='\''||input.LA(1)=='\\'||input.LA(1)=='b'||input.LA(1)=='f'||input.LA(1)=='n'||input.LA(1)=='r'||input.LA(1)=='t' ) {
                        input.consume();

                    }
                    else {
                        MismatchedSetException mse = new MismatchedSetException(null,input);
                        recover(mse);
                        throw mse;}


                    }
                    break;
                case 2 :
                    // ExprGrammar.g:283:9: UNICODE_ESC
                    {
                    mUNICODE_ESC(); 

                    }
                    break;
                case 3 :
                    // ExprGrammar.g:284:9: OCTAL_ESC
                    {
                    mOCTAL_ESC(); 

                    }
                    break;

            }
        }
        finally {
        }
    }
    // $ANTLR end "ESC_SEQ"

    // $ANTLR start "OCTAL_ESC"
    public final void mOCTAL_ESC() throws RecognitionException {
        try {
            // ExprGrammar.g:289:5: ( '\\\\' ( '0' .. '3' ) ( '0' .. '7' ) ( '0' .. '7' ) | '\\\\' ( '0' .. '7' ) ( '0' .. '7' ) | '\\\\' ( '0' .. '7' ) )
            int alt21=3;
            int LA21_0 = input.LA(1);

            if ( (LA21_0=='\\') ) {
                int LA21_1 = input.LA(2);

                if ( ((LA21_1>='0' && LA21_1<='3')) ) {
                    int LA21_2 = input.LA(3);

                    if ( ((LA21_2>='0' && LA21_2<='7')) ) {
                        int LA21_4 = input.LA(4);

                        if ( ((LA21_4>='0' && LA21_4<='7')) ) {
                            alt21=1;
                        }
                        else {
                            alt21=2;}
                    }
                    else {
                        alt21=3;}
                }
                else if ( ((LA21_1>='4' && LA21_1<='7')) ) {
                    int LA21_3 = input.LA(3);

                    if ( ((LA21_3>='0' && LA21_3<='7')) ) {
                        alt21=2;
                    }
                    else {
                        alt21=3;}
                }
                else {
                    NoViableAltException nvae =
                        new NoViableAltException("", 21, 1, input);

                    throw nvae;
                }
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("", 21, 0, input);

                throw nvae;
            }
            switch (alt21) {
                case 1 :
                    // ExprGrammar.g:289:9: '\\\\' ( '0' .. '3' ) ( '0' .. '7' ) ( '0' .. '7' )
                    {
                    match('\\'); 
                    // ExprGrammar.g:289:14: ( '0' .. '3' )
                    // ExprGrammar.g:289:15: '0' .. '3'
                    {
                    matchRange('0','3'); 

                    }

                    // ExprGrammar.g:289:25: ( '0' .. '7' )
                    // ExprGrammar.g:289:26: '0' .. '7'
                    {
                    matchRange('0','7'); 

                    }

                    // ExprGrammar.g:289:36: ( '0' .. '7' )
                    // ExprGrammar.g:289:37: '0' .. '7'
                    {
                    matchRange('0','7'); 

                    }


                    }
                    break;
                case 2 :
                    // ExprGrammar.g:290:9: '\\\\' ( '0' .. '7' ) ( '0' .. '7' )
                    {
                    match('\\'); 
                    // ExprGrammar.g:290:14: ( '0' .. '7' )
                    // ExprGrammar.g:290:15: '0' .. '7'
                    {
                    matchRange('0','7'); 

                    }

                    // ExprGrammar.g:290:25: ( '0' .. '7' )
                    // ExprGrammar.g:290:26: '0' .. '7'
                    {
                    matchRange('0','7'); 

                    }


                    }
                    break;
                case 3 :
                    // ExprGrammar.g:291:9: '\\\\' ( '0' .. '7' )
                    {
                    match('\\'); 
                    // ExprGrammar.g:291:14: ( '0' .. '7' )
                    // ExprGrammar.g:291:15: '0' .. '7'
                    {
                    matchRange('0','7'); 

                    }


                    }
                    break;

            }
        }
        finally {
        }
    }
    // $ANTLR end "OCTAL_ESC"

    // $ANTLR start "UNICODE_ESC"
    public final void mUNICODE_ESC() throws RecognitionException {
        try {
            // ExprGrammar.g:296:5: ( '\\\\' 'u' HEX_DIGIT HEX_DIGIT HEX_DIGIT HEX_DIGIT )
            // ExprGrammar.g:296:9: '\\\\' 'u' HEX_DIGIT HEX_DIGIT HEX_DIGIT HEX_DIGIT
            {
            match('\\'); 
            match('u'); 
            mHEX_DIGIT(); 
            mHEX_DIGIT(); 
            mHEX_DIGIT(); 
            mHEX_DIGIT(); 

            }

        }
        finally {
        }
    }
    // $ANTLR end "UNICODE_ESC"

    public void mTokens() throws RecognitionException {
        // ExprGrammar.g:1:8: ( LBRACE | RBRACE | LPAREN | RPAREN | DOT | SEMIC | COMMA | LT | GT | LTE | GTE | EQ | NEQ | NOTEQ | ADD | SUB | MUL | MOD | AND | OR | XOR | INV | DIV | LIKE | REGEXP | TRUE | FALSE | FUNCTION_N_TO_N | FUNCTION_G_TO_N | FUNCTION_G_G_TO_N | FUNCTION_N_N_TO_G | FUNCTION_G_N_TO_G | FUNCTION_G_G_TO_G | FUNCTION_S_TO_N | FUNCTION_S_TO_S | FUNCTION_S_SPLUS_TO_S | FUNCTION_S_N1OR2_TO_S | OMCOLUMNNAME | DATACOLUMNNAME | IF | NOT | LAND | LOR | ID | INT | FLOAT | COMMENT | WS | STRING )
        int alt22=49;
        alt22 = dfa22.predict(input);
        switch (alt22) {
            case 1 :
                // ExprGrammar.g:1:10: LBRACE
                {
                mLBRACE(); 

                }
                break;
            case 2 :
                // ExprGrammar.g:1:17: RBRACE
                {
                mRBRACE(); 

                }
                break;
            case 3 :
                // ExprGrammar.g:1:24: LPAREN
                {
                mLPAREN(); 

                }
                break;
            case 4 :
                // ExprGrammar.g:1:31: RPAREN
                {
                mRPAREN(); 

                }
                break;
            case 5 :
                // ExprGrammar.g:1:38: DOT
                {
                mDOT(); 

                }
                break;
            case 6 :
                // ExprGrammar.g:1:42: SEMIC
                {
                mSEMIC(); 

                }
                break;
            case 7 :
                // ExprGrammar.g:1:48: COMMA
                {
                mCOMMA(); 

                }
                break;
            case 8 :
                // ExprGrammar.g:1:54: LT
                {
                mLT(); 

                }
                break;
            case 9 :
                // ExprGrammar.g:1:57: GT
                {
                mGT(); 

                }
                break;
            case 10 :
                // ExprGrammar.g:1:60: LTE
                {
                mLTE(); 

                }
                break;
            case 11 :
                // ExprGrammar.g:1:64: GTE
                {
                mGTE(); 

                }
                break;
            case 12 :
                // ExprGrammar.g:1:68: EQ
                {
                mEQ(); 

                }
                break;
            case 13 :
                // ExprGrammar.g:1:71: NEQ
                {
                mNEQ(); 

                }
                break;
            case 14 :
                // ExprGrammar.g:1:75: NOTEQ
                {
                mNOTEQ(); 

                }
                break;
            case 15 :
                // ExprGrammar.g:1:81: ADD
                {
                mADD(); 

                }
                break;
            case 16 :
                // ExprGrammar.g:1:85: SUB
                {
                mSUB(); 

                }
                break;
            case 17 :
                // ExprGrammar.g:1:89: MUL
                {
                mMUL(); 

                }
                break;
            case 18 :
                // ExprGrammar.g:1:93: MOD
                {
                mMOD(); 

                }
                break;
            case 19 :
                // ExprGrammar.g:1:97: AND
                {
                mAND(); 

                }
                break;
            case 20 :
                // ExprGrammar.g:1:101: OR
                {
                mOR(); 

                }
                break;
            case 21 :
                // ExprGrammar.g:1:104: XOR
                {
                mXOR(); 

                }
                break;
            case 22 :
                // ExprGrammar.g:1:108: INV
                {
                mINV(); 

                }
                break;
            case 23 :
                // ExprGrammar.g:1:112: DIV
                {
                mDIV(); 

                }
                break;
            case 24 :
                // ExprGrammar.g:1:116: LIKE
                {
                mLIKE(); 

                }
                break;
            case 25 :
                // ExprGrammar.g:1:121: REGEXP
                {
                mREGEXP(); 

                }
                break;
            case 26 :
                // ExprGrammar.g:1:128: TRUE
                {
                mTRUE(); 

                }
                break;
            case 27 :
                // ExprGrammar.g:1:133: FALSE
                {
                mFALSE(); 

                }
                break;
            case 28 :
                // ExprGrammar.g:1:139: FUNCTION_N_TO_N
                {
                mFUNCTION_N_TO_N(); 

                }
                break;
            case 29 :
                // ExprGrammar.g:1:155: FUNCTION_G_TO_N
                {
                mFUNCTION_G_TO_N(); 

                }
                break;
            case 30 :
                // ExprGrammar.g:1:171: FUNCTION_G_G_TO_N
                {
                mFUNCTION_G_G_TO_N(); 

                }
                break;
            case 31 :
                // ExprGrammar.g:1:189: FUNCTION_N_N_TO_G
                {
                mFUNCTION_N_N_TO_G(); 

                }
                break;
            case 32 :
                // ExprGrammar.g:1:207: FUNCTION_G_N_TO_G
                {
                mFUNCTION_G_N_TO_G(); 

                }
                break;
            case 33 :
                // ExprGrammar.g:1:225: FUNCTION_G_G_TO_G
                {
                mFUNCTION_G_G_TO_G(); 

                }
                break;
            case 34 :
                // ExprGrammar.g:1:243: FUNCTION_S_TO_N
                {
                mFUNCTION_S_TO_N(); 

                }
                break;
            case 35 :
                // ExprGrammar.g:1:259: FUNCTION_S_TO_S
                {
                mFUNCTION_S_TO_S(); 

                }
                break;
            case 36 :
                // ExprGrammar.g:1:275: FUNCTION_S_SPLUS_TO_S
                {
                mFUNCTION_S_SPLUS_TO_S(); 

                }
                break;
            case 37 :
                // ExprGrammar.g:1:297: FUNCTION_S_N1OR2_TO_S
                {
                mFUNCTION_S_N1OR2_TO_S(); 

                }
                break;
            case 38 :
                // ExprGrammar.g:1:319: OMCOLUMNNAME
                {
                mOMCOLUMNNAME(); 

                }
                break;
            case 39 :
                // ExprGrammar.g:1:332: DATACOLUMNNAME
                {
                mDATACOLUMNNAME(); 

                }
                break;
            case 40 :
                // ExprGrammar.g:1:347: IF
                {
                mIF(); 

                }
                break;
            case 41 :
                // ExprGrammar.g:1:350: NOT
                {
                mNOT(); 

                }
                break;
            case 42 :
                // ExprGrammar.g:1:354: LAND
                {
                mLAND(); 

                }
                break;
            case 43 :
                // ExprGrammar.g:1:359: LOR
                {
                mLOR(); 

                }
                break;
            case 44 :
                // ExprGrammar.g:1:363: ID
                {
                mID(); 

                }
                break;
            case 45 :
                // ExprGrammar.g:1:366: INT
                {
                mINT(); 

                }
                break;
            case 46 :
                // ExprGrammar.g:1:370: FLOAT
                {
                mFLOAT(); 

                }
                break;
            case 47 :
                // ExprGrammar.g:1:376: COMMENT
                {
                mCOMMENT(); 

                }
                break;
            case 48 :
                // ExprGrammar.g:1:384: WS
                {
                mWS(); 

                }
                break;
            case 49 :
                // ExprGrammar.g:1:387: STRING
                {
                mSTRING(); 

                }
                break;

        }

    }


    protected DFA15 dfa15 = new DFA15(this);
    protected DFA22 dfa22 = new DFA22(this);
    static final String DFA15_eotS =
        "\5\uffff";
    static final String DFA15_eofS =
        "\5\uffff";
    static final String DFA15_minS =
        "\2\56\3\uffff";
    static final String DFA15_maxS =
        "\1\71\1\145\3\uffff";
    static final String DFA15_acceptS =
        "\2\uffff\1\2\1\3\1\1";
    static final String DFA15_specialS =
        "\5\uffff}>";
    static final String[] DFA15_transitionS = {
            "\1\2\1\uffff\12\1",
            "\1\4\1\uffff\12\1\13\uffff\1\3\37\uffff\1\3",
            "",
            "",
            ""
    };

    static final short[] DFA15_eot = DFA.unpackEncodedString(DFA15_eotS);
    static final short[] DFA15_eof = DFA.unpackEncodedString(DFA15_eofS);
    static final char[] DFA15_min = DFA.unpackEncodedStringToUnsignedChars(DFA15_minS);
    static final char[] DFA15_max = DFA.unpackEncodedStringToUnsignedChars(DFA15_maxS);
    static final short[] DFA15_accept = DFA.unpackEncodedString(DFA15_acceptS);
    static final short[] DFA15_special = DFA.unpackEncodedString(DFA15_specialS);
    static final short[][] DFA15_transition;

    static {
        int numStates = DFA15_transitionS.length;
        DFA15_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA15_transition[i] = DFA.unpackEncodedString(DFA15_transitionS[i]);
        }
    }

    class DFA15 extends DFA {

        public DFA15(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 15;
            this.eot = DFA15_eot;
            this.eof = DFA15_eof;
            this.min = DFA15_min;
            this.max = DFA15_max;
            this.accept = DFA15_accept;
            this.special = DFA15_special;
            this.transition = DFA15_transition;
        }
        public String getDescription() {
            return "253:1: FLOAT : ( ( '0' .. '9' )+ '.' ( '0' .. '9' )* ( EXPONENT )? | '.' ( '0' .. '9' )+ ( EXPONENT )? | ( '0' .. '9' )+ EXPONENT );";
        }
    }
    static final String DFA22_eotS =
        "\5\uffff\1\55\2\uffff\1\60\1\62\1\uffff\1\64\4\uffff\1\66\1\70\2"+
        "\uffff\1\72\23\50\1\uffff\1\121\21\uffff\16\50\2\142\4\50\2\67\1"+
        "\uffff\7\50\1\156\10\50\1\uffff\2\64\2\65\1\170\1\50\1\172\1\173"+
        "\1\172\2\50\1\uffff\10\50\1\u0087\1\uffff\1\50\2\uffff\2\u0089\5"+
        "\50\1\u008f\3\50\1\uffff\1\u0093\1\uffff\1\u0094\4\50\1\uffff\2"+
        "\50\1\u009b\2\uffff\1\50\1\u009d\4\50\1\uffff\1\50\1\uffff\1\u00a3"+
        "\2\50\1\u00a6\1\50\1\uffff\1\u00a8\1\u00a9\1\uffff\1\50\2\uffff"+
        "\5\50\1\u00b0\1\uffff";
    static final String DFA22_eofS =
        "\u00b1\uffff";
    static final String DFA22_minS =
        "\1\11\4\uffff\1\60\2\uffff\2\75\1\uffff\1\75\4\uffff\1\46\1\174"+
        "\2\uffff\1\52\1\151\1\145\1\122\1\162\1\101\1\141\1\105\1\110\1"+
        "\101\1\105\1\101\1\146\1\106\1\157\1\117\1\156\1\116\1\162\1\122"+
        "\1\uffff\1\56\21\uffff\1\153\1\147\1\111\1\165\1\114\1\154\2\116"+
        "\1\137\1\102\1\101\1\113\1\116\1\124\2\57\1\164\1\124\1\144\1\104"+
        "\2\57\1\uffff\2\145\1\105\1\115\1\145\1\123\1\163\1\57\1\103\1\124"+
        "\1\101\1\123\1\120\1\105\1\107\1\101\1\uffff\5\57\1\170\3\57\1\105"+
        "\1\145\1\uffff\1\101\2\122\1\116\1\124\1\105\1\104\1\124\1\57\1"+
        "\uffff\1\160\2\uffff\2\57\1\124\1\117\1\105\1\111\1\122\1\57\1\117"+
        "\1\111\1\110\1\uffff\1\57\1\uffff\1\57\1\111\1\101\1\117\1\111\1"+
        "\uffff\1\111\1\123\1\57\2\uffff\1\104\1\57\3\116\1\103\1\uffff\1"+
        "\104\1\uffff\1\57\1\107\1\124\1\57\1\111\1\uffff\2\57\1\uffff\1"+
        "\123\2\uffff\1\124\1\101\1\116\1\103\1\105\1\57\1\uffff";
    static final String DFA22_maxS =
        "\1\176\4\uffff\1\71\2\uffff\1\76\1\75\1\uffff\1\75\4\uffff\1\46"+
        "\1\174\2\uffff\1\52\1\151\1\145\1\122\1\162\1\101\1\141\1\117\1"+
        "\125\1\101\1\105\1\101\1\146\1\106\1\157\1\117\1\156\1\116\1\162"+
        "\1\122\1\uffff\1\145\21\uffff\1\153\1\147\1\125\1\165\1\114\1\154"+
        "\1\123\1\116\1\137\1\102\1\101\1\113\1\116\1\124\2\172\1\164\1\124"+
        "\1\144\1\104\2\172\1\uffff\2\145\1\105\1\115\1\145\1\123\1\163\1"+
        "\172\1\103\1\124\1\125\1\123\1\120\1\105\1\107\1\101\1\uffff\5\172"+
        "\1\170\3\172\1\105\1\145\1\uffff\1\101\2\122\1\116\1\124\1\105\1"+
        "\120\1\124\1\172\1\uffff\1\160\2\uffff\2\172\1\124\1\117\1\105\1"+
        "\111\1\122\1\172\1\117\1\111\1\110\1\uffff\1\172\1\uffff\1\172\1"+
        "\111\1\101\1\117\1\111\1\uffff\1\111\1\123\1\172\2\uffff\1\104\1"+
        "\172\3\116\1\103\1\uffff\1\104\1\uffff\1\172\1\107\1\124\1\172\1"+
        "\111\1\uffff\2\172\1\uffff\1\123\2\uffff\1\124\1\101\1\116\1\103"+
        "\1\105\1\172\1\uffff";
    static final String DFA22_acceptS =
        "\1\uffff\1\1\1\2\1\3\1\4\1\uffff\1\6\1\7\2\uffff\1\14\1\uffff\1"+
        "\17\1\20\1\21\1\22\2\uffff\1\25\1\26\24\uffff\1\54\1\uffff\1\60"+
        "\1\61\1\56\1\5\1\12\1\15\1\10\1\13\1\11\1\16\1\51\1\52\1\23\1\53"+
        "\1\24\1\57\1\27\26\uffff\1\55\20\uffff\1\50\13\uffff\1\34\11\uffff"+
        "\1\30\1\uffff\1\32\1\43\13\uffff\1\47\1\uffff\1\33\5\uffff\1\46"+
        "\3\uffff\1\31\1\44\6\uffff\1\42\1\uffff\1\35\5\uffff\1\41\2\uffff"+
        "\1\40\1\uffff\1\45\1\37\6\uffff\1\36";
    static final String DFA22_specialS =
        "\u00b1\uffff}>";
    static final String[] DFA22_transitionS = {
            "\2\52\2\uffff\1\52\22\uffff\1\52\1\13\1\53\2\uffff\1\17\1\20"+
            "\1\uffff\1\3\1\4\1\16\1\14\1\7\1\15\1\5\1\24\12\51\1\uffff\1"+
            "\6\1\10\1\12\1\11\2\uffff\1\45\1\50\1\33\1\37\1\50\1\31\2\50"+
            "\1\41\2\50\1\36\1\35\1\43\1\47\3\50\1\34\1\27\6\50\3\uffff\1"+
            "\22\1\50\1\uffff\1\44\4\50\1\32\2\50\1\40\2\50\1\25\1\50\1\42"+
            "\1\46\2\50\1\26\1\50\1\30\6\50\1\1\1\21\1\2\1\23",
            "",
            "",
            "",
            "",
            "\12\54",
            "",
            "",
            "\1\56\1\57",
            "\1\61",
            "",
            "\1\63",
            "",
            "",
            "",
            "",
            "\1\65",
            "\1\67",
            "",
            "",
            "\1\71",
            "\1\73",
            "\1\74",
            "\1\75",
            "\1\76",
            "\1\77",
            "\1\100",
            "\1\102\11\uffff\1\101",
            "\1\105\13\uffff\1\103\1\104",
            "\1\106",
            "\1\107",
            "\1\110",
            "\1\111",
            "\1\112",
            "\1\113",
            "\1\114",
            "\1\115",
            "\1\116",
            "\1\117",
            "\1\120",
            "",
            "\1\54\1\uffff\12\51\13\uffff\1\54\37\uffff\1\54",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\122",
            "\1\123",
            "\1\125\13\uffff\1\124",
            "\1\126",
            "\1\127",
            "\1\130",
            "\1\132\4\uffff\1\131",
            "\1\133",
            "\1\134",
            "\1\135",
            "\1\136",
            "\1\137",
            "\1\140",
            "\1\141",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "\1\143",
            "\1\144",
            "\1\145",
            "\1\146",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "",
            "\1\147",
            "\1\150",
            "\1\151",
            "\1\152",
            "\1\153",
            "\1\154",
            "\1\155",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "\1\157",
            "\1\160",
            "\1\161\23\uffff\1\162",
            "\1\163",
            "\1\164",
            "\1\165",
            "\1\166",
            "\1\167",
            "",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "\1\171",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "\1\174",
            "\1\175",
            "",
            "\1\176",
            "\1\177",
            "\1\u0080",
            "\1\u0081",
            "\1\u0082",
            "\1\u0083",
            "\1\u0085\13\uffff\1\u0084",
            "\1\u0086",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "",
            "\1\u0088",
            "",
            "",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "\1\u008a",
            "\1\u008b",
            "\1\u008c",
            "\1\u008d",
            "\1\u008e",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "\1\u0090",
            "\1\u0091",
            "\1\u0092",
            "",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "\1\u0095",
            "\1\u0096",
            "\1\u0097",
            "\1\u0098",
            "",
            "\1\u0099",
            "\1\u009a",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "",
            "",
            "\1\u009c",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "\1\u009e",
            "\1\u009f",
            "\1\u00a0",
            "\1\u00a1",
            "",
            "\1\u00a2",
            "",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "\1\u00a4",
            "\1\u00a5",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "\1\u00a7",
            "",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            "",
            "\1\u00aa",
            "",
            "",
            "\1\u00ab",
            "\1\u00ac",
            "\1\u00ad",
            "\1\u00ae",
            "\1\u00af",
            "\13\50\7\uffff\32\50\4\uffff\1\50\1\uffff\32\50",
            ""
    };

    static final short[] DFA22_eot = DFA.unpackEncodedString(DFA22_eotS);
    static final short[] DFA22_eof = DFA.unpackEncodedString(DFA22_eofS);
    static final char[] DFA22_min = DFA.unpackEncodedStringToUnsignedChars(DFA22_minS);
    static final char[] DFA22_max = DFA.unpackEncodedStringToUnsignedChars(DFA22_maxS);
    static final short[] DFA22_accept = DFA.unpackEncodedString(DFA22_acceptS);
    static final short[] DFA22_special = DFA.unpackEncodedString(DFA22_specialS);
    static final short[][] DFA22_transition;

    static {
        int numStates = DFA22_transitionS.length;
        DFA22_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA22_transition[i] = DFA.unpackEncodedString(DFA22_transitionS[i]);
        }
    }

    class DFA22 extends DFA {

        public DFA22(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 22;
            this.eot = DFA22_eot;
            this.eof = DFA22_eof;
            this.min = DFA22_min;
            this.max = DFA22_max;
            this.accept = DFA22_accept;
            this.special = DFA22_special;
            this.transition = DFA22_transition;
        }
        public String getDescription() {
            return "1:1: Tokens : ( LBRACE | RBRACE | LPAREN | RPAREN | DOT | SEMIC | COMMA | LT | GT | LTE | GTE | EQ | NEQ | NOTEQ | ADD | SUB | MUL | MOD | AND | OR | XOR | INV | DIV | LIKE | REGEXP | TRUE | FALSE | FUNCTION_N_TO_N | FUNCTION_G_TO_N | FUNCTION_G_G_TO_N | FUNCTION_N_N_TO_G | FUNCTION_G_N_TO_G | FUNCTION_G_G_TO_G | FUNCTION_S_TO_N | FUNCTION_S_TO_S | FUNCTION_S_SPLUS_TO_S | FUNCTION_S_N1OR2_TO_S | OMCOLUMNNAME | DATACOLUMNNAME | IF | NOT | LAND | LOR | ID | INT | FLOAT | COMMENT | WS | STRING );";
        }
    }
 

}