// <header>
/**
 *  Themamap: The Thematic Maps Production Tool
 *
 *  Copyright (c) 2008 Université de Caen Basse-Normandie, Certic
 *  Copyright (c) 2008 Université de Caen Basse-Normandie, GREYC
 *                     		
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  <http://www.gnu.org/licenses/>
 *
 *  See http://themamap.info.unicaen.fr/authors/
 *      for a list of contributors 
 */
// </header>
package fr.unicaen.openmap.gui;

import java.awt.Container;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.beans.PropertyChangeEvent;
import java.io.File;
import java.io.IOException;
import java.util.Properties;

import javax.swing.*;

import com.bbn.openmap.Layer;
import com.bbn.openmap.LayerHandler;
import com.bbn.openmap.MouseDelegator;
import com.bbn.openmap.PropertyHandler;
import com.bbn.openmap.event.MapMouseMode;
import com.bbn.openmap.gui.OMToolComponent;
import com.bbn.openmap.util.ComponentFactory;
import com.bbn.openmap.util.Debug;
import com.bbn.openmap.util.PropUtils;

import fr.unicaen.openmap.layer.utils.LayerLoader;
import fr.unicaen.openmap.util.Util;

/**
 * 
 */
public class ToolSeparator extends OMToolComponent{

    protected Container bGraticule;

    public  ToolSeparator() {
        super();
      
       bGraticule = new JLabel("<html>&nbsp;&nbsp;&nbsp;&nbsp;</html>");
       add(bGraticule);
       useAsTool = true;
    }
    
    public Container getFace() {
        if (getUseAsTool()) {
            return bGraticule;
        } else {
            return null;
        }
    }
    
    public boolean getUseAsTool(){ return true; }
    
    
}
